package cmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func makeEMQX() *cobra.Command {
	_cmd := &cobra.Command{
		Use:   "emqx",
		Short: "Make EMQX",
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.EMQX(cmd.Context())
		},
	}

	return _cmd
}
